var assert = require('assert');
var chai = require('chai');
var expect = chai.expect; // we are using the "expect" style of Chai
var config = require('./../config');

var express = require('express')
var app = express();

var reminderService = require('./../reminder');
var key = 'myKey';
var url = 'http://localhost:3400/'; //config.api('/');

describe('Reminders', function () {
    before(function(done) {
        reminderService.config.setEnvironment('localhost');
        done();
    });

    /**
     * Test the MenuService
     */
    describe('ReminderService', function () {
        describe('#setReminder(_key, _ms, _type, _url, _payload, onSuccess, onFail, onError)', function () {
            it('should successfully set a reminder to 1000 ms.', function (done) {
                app.get('/', function (req, res) {
                    console.log('GET/ Reminder test server');
                    done();
                    res.send('ok');
                });

                app.listen(3400, function () {
                    console.log('Test server-runner for reminder app listening on port 3400.')
                });

                reminderService.setReminder(key, '1000', 'get', url, {}, function () {

                }, function (message) {
                    done(new Error(message));
                }, function (err) {
                   done(err);
                });
            });
        });

    });
});